Skip to main content

Policy Family

View as Markdown

PolicyFamily object

policy_family_idstring

Unique identifier for the policy family.

namestring

Name of the policy family.

descriptionstring

Human-readable description of the purpose of the policy family.

Constraints: <= 1000 characters

definitionstring

Policy definition document expressed in Databricks Cluster Policy Definition Language.

Get GA

GET /api/2.0/policy-families/{policy_family_id}

Retrieve the information for an policy family based on its identifier and version

API scopes: clusters

Parameters

policy_family_idstringRequiredpath

The family ID about which to retrieve information.

versionint64query

The version number for the family to fetch. Defaults to the latest version.

Response

Returns the PolicyFamily object.

List GA

GET /api/2.0/policy-families

Returns the list of policy definition types available to use at their latest version. This API is paginated.

API scopes: clusters

Parameters

max_resultsint64query

Maximum number of policy families to return.

Constraints: [ 1 .. 1000 ]

page_tokenstringquery

A token that can be used to get the next page of results.

Response

Returns a list of PolicyFamily objects.